mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_MSToneDetectorDef Struct Reference

`#include <mstonedetector.h>`

## Data Fields
int | frequency
int | min_duration
float | min_amplitude

## Detailed Description

Structure describing which tone is to be detected.

## Field Documentation

int _MSToneDetectorDef::frequency

Expected frequency of the tone

int _MSToneDetectorDef::min_duration

Min duration of the tone in milliseconds

float _MSToneDetectorDef::min_amplitude

Minimum amplitude of the tone, 1.0 corresponding to the normalized 0dbm level

The documentation for this struct was generated from the following file:

- mstonedetector.h